## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate sctk-adwaita

Name:           rust-sctk-adwaita
Version:        0.8.1
Release:        %autorelease
Summary:        Adwaita-like SCTK Frame

License:        MIT
URL:            https://crates.io/crates/sctk-adwaita
Source:         %{crates_source}
# Fedora patch: use system font instead of a bundled copy
Patch:          sctk-adwaita-0.5.4-unbundle-cantarell-font.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Adwaita-like SCTK Frame.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ab_glyph-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       abattis-cantarell-fonts

%description -n %{name}+ab_glyph-devel %{_description}

This package contains library source intended for building other packages which
use the "ab_glyph" feature of the "%{crate}" crate.

%files       -n %{name}+ab_glyph-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossfont-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossfont-devel %{_description}

This package contains library source intended for building other packages which
use the "crossfont" feature of the "%{crate}" crate.

%files       -n %{name}+crossfont-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memmap2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memmap2-devel %{_description}

This package contains library source intended for building other packages which
use the "memmap2" feature of the "%{crate}" crate.

%files       -n %{name}+memmap2-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# remove bundled fonts
rm -f src/title/*.ttf

%generate_buildrequires
%cargo_generate_buildrequires
echo 'abattis-cantarell-fonts'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 22 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.8.1-1
- Update to 0.8.1 (rhbz#2232134)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 02 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.5.4-1
- Initial import (rhbz#2183860)
## END: Generated by rpmautospec
